⚠️ Private preview. Contact your Nasuni account team to request access.
Get paginated notifications with optional filters.
Returns notifications from the last 15 minutes by default if no date range is specified. Supports cursor-based pagination.
Args: filter_query: Filter parameters including dates, severity, category, appliance_name, volume_name and search
Returns: NotificationsDto: Paginated list of notifications
Successful Response
Invalid request parameters (e.g., invalid cursor, limit <= 0, date range > 30 days, cursor parameters mismatch)
Not authenticated
Insufficient permissions
Database operation timed out
Validation Error
Database connection failed or internal server error
{- "items": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "account_id": "449e7a5c-69d3-4b8a-aaaf-5c9b713ebc65",
- "severity": "ALERT",
- "category": "Snapshots & Sync",
- "code_name": "string",
- "message": "string",
- "source": "SYSTEM_GENERATED",
- "created_at": "2019-08-24T14:15:22Z",
- "generated_at": "2019-08-24T14:15:22Z",
- "sub_category": "Snapshot",
- "appliance_name": "string",
- "appliance_serial": "58daae54-0755-4166-ab50-0f2214836f15",
- "volume_name": "string",
- "volume_id": "string",
- "arguments": { },
- "linked_doc": "string"
}
], - "metadata": {
- "iterator_id": "8793834b-0155-474b-a832-8e593706b942",
- "page": 1,
- "page_size": 0,
- "total_pages": 0,
- "total_items": 0
}
}